#include <avr/pgmspace.h>


#define weiss	0xff
#define blau	0x03
#define schwarz	0x00
#define rot 	0xe0
#define gelb	0xfc
#define gruen	0x1c
#define SOFT_RESET		0x01
#define SLEEP_OUT		0x11
#define DISPLAY_ON		0x29
#define BOOSTER_ON		0x03
#define COLOR_INTERFACE	0x3A
  #define COLOR_8_BIT	0x02
#define COLOR_SET		0x2D
#define MEM_ACCESS_CTRL	0x36
  #define MIRROR_X		6
  #define MIRROR_Y		7
  #define VERT_WRITE	5
  #define RGB			3
#define MEM_WRITE		0x2C
#define SET_X_ADDR		0x2A
#define SET_Y_ADDR		0x2B

/*
 * for n6100SetDrawRect();
 */
#define DISP_X_START	0
#define DISP_Y_START	0
#define DISP_X_END	129
#define DISP_Y_END	129

/*
 * a few basic colors
 */
#define RED				0xE0
#define GREEN			0x1C
#define BLUE			0x03
#define YELLOW			0xFC
#define MAGENTA			0xE3
#define CYAN			0x1F
#define BLACK			0x00
#define WHITE			0xFF

struct font {
	uint8_t width;
	uint8_t height;
	PGM_P charData;
	
};
typedef struct font font;

/*
 * Function Prototypes
 */
int n6100DrawChar(char c);
void n6100Clear(void);
void n6100DrawCircle(uint8_t xCenter, uint8_t yCenter, uint8_t radius);
void n6100DrawLine(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2);
void n6100DrawPixel(void);
void n6100DrawPixelXY(uint8_t x, uint8_t y);
void n6100DrawRect(uint8_t x, uint8_t y, uint8_t width, uint8_t height);
void n6100FillRect(uint8_t x, uint8_t y, uint8_t width, uint8_t height);
void n6100GotoXY(uint8_t x, uint8_t y);
void lcdinit(void);
void clsdsp(unsigned char color);
void grafik_lcd(int lx1,int lx2,int ly1,int ly2,unsigned char bild[]);
void n6100SetColor(uint8_t newColor);
void n6100SetFont(font newFont);
void n6100SetFontOffset(uint8_t newOffset) ;
